Show / Hide Table of Contents

# AsyncBecameVisibleTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncBecameVisibleTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncBecameVisibleTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnBecameVisibleAsyncHandler() |
GetOnBecameVisibleAsyncHandler(CancellationToken) |
OnBecameVisibleAsync() |
OnBecameVisibleAsync(CancellationToken) |

### Methods

#### GetOnBecameVisibleAsyncHandler()

    public IAsyncOnBecameVisibleHandler GetOnBecameVisibleAsyncHandler()

##### Returns

IAsyncOnBecameVisibleHandler

#### GetOnBecameVisibleAsyncHandler(CancellationToken)

    public IAsyncOnBecameVisibleHandler GetOnBecameVisibleAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnBecameVisibleHandler

#### OnBecameVisibleAsync()

    public UniTask OnBecameVisibleAsync()

##### Returns

UniTask

#### OnBecameVisibleAsync(CancellationToken)

    public UniTask OnBecameVisibleAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>